/* footer */

.footer {
  @include flex(center, center);
  padding: 150px 5% 100px;

  .footer-form-box {
    position: relative;
    z-index: 99;
    width: 70%;

    .footer-text-box {
      .footer-title {
        font-size: 40px;
        color: #fff;
        height: 52px;

        .pink {
          color: $pink;
        }
      }

      .footer-text {
        font-size: 16px;
        color: #fff;
        margin: 15px 0 20px;
      }
    }

    .contact-form {
      max-width: 420px;

      .footer-input {
        display: block;
        width: 100%;
        max-width: 420px;
        padding: 8px 10px;
        color: #fff;
        outline: none;
        background-color: transparent;
        border-radius: 4px;
        border: 1px solid darken($color: $light-blue, $amount: 5%);
        font-size: 14px;
        margin: 10px 0;
      }

      .contact-form-btn {
        font-size: 16px;
      }
    }
  }

  .contact-detail {
    text-align: right;

    .email-box {
      margin-bottom: 40px;
    }

    .footer-label {
      margin: 10px 0;
      color: #888a8f;
      font-weight: 700;
    }

    .see-more {
      color: #fff;
    }
  }
}

.input_container {
  position: relative;
}

.input-with-label {
  width: 100%;
  outline: none;
  box-sizing: border-box;
  letter-spacing: 1px;
}

.effect-21 {
  border: 1px solid #ccc;
  padding: 7px 14px;
  transition: 0.4s;
  background: transparent;
}

.effect-21 ~ .focus-border:before,
.effect-21 ~ .focus-border:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0;
  height: 2px;
  background-color: $light-blue;
  -webkit-transition: 0.2s;
  transition: 0.2s;
  -webkit-transition-delay: 0.2s;
  transition-delay: 0.2s;
}

.effect-21 ~ .focus-border:after {
  top: auto;
  bottom: 0;
  right: auto;
  left: 0;
  -webkit-transition-delay: 0.6s;
  transition-delay: 0.6s;
}

.effect-21 ~ .focus-border i:before,
.effect-21 ~ .focus-border i:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 2px;
  height: 0;
  background-color: $light-blue;
  transition: 0.2s;
}

.effect-21 ~ .focus-border i:after {
  left: auto;
  right: 0;
  top: auto;
  bottom: 0;
  transition-delay: 0.4s;
}

.effect-21:focus ~ .focus-border:before,
.effect-21:focus ~ .focus-border:after,
.has-content.effect-21 ~ .focus-border:before,
.has-content.effect-21 ~ .focus-border:after {
  width: 100%;
  transition: 0.2s;
  transition-delay: 0.6s;
}

.effect-21:focus ~ .focus-border:after,
.has-content.effect-21 ~ .focus-border:after {
  transition-delay: 0.2s;
}

.effect-21:focus ~ .focus-border i:before,
.effect-21:focus ~ .focus-border i:after,
.has-content.effect-21 ~ .focus-border i:before,
.has-content.effect-21 ~ .focus-border i:after {
  height: 100%;
  transition: 0.2s;
}

.effect-21:focus ~ .focus-border i:after,
.has-conten.effect-21 ~ .focus-border i:after {
  transition-delay: 0.4s;
}

.effect-21 ~ label {
  position: absolute;
  left: 14px;
  padding: 1px 5px;
  z-index: -1;
  text-align: center;
  top: 50%;
  font-size: 14px;
  transform: translateY(-50%);
  color: #888888;
  transition: 0.3s;
  letter-spacing: 0.5px;
}

.effect-21:focus ~ label,
.has-content.effect-21 ~ label {
  top: -1px;
  left: 15px;
  background: $dark-gray;
  z-index: 1 !important;
  font-size: 12px;
  color: $light-blue;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}

@media only screen and (max-width: 768px) {
  .footer {
    flex-direction: column;
    padding: 150px 15px 100px;

    .footer-form-box {
      width: 100%;
      max-width: 420px;

      .footer-text-box {
        .footer-title {
          font-size: 36px;
          height: 48px;
        }

        .footer-text {
          font-size: 14px;
        }
      }
    }

    .contact-detail {
      text-align: center;
      margin-top: 40px;
    }
  }
}
